> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Phone Number

> Update a phone number's properties



## OpenAPI

````yaml put /phone_numbers/{id}
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /phone_numbers/{id}:
    parameters:
      - in: path
        name: id
        schema:
          type: string
        required: true
        description: ID of the versioned prompt.
    put:
      summary: Update Phone Number
      description: Update a phone number's properties
      operationId: updatePhoneNumber
      requestBody:
        description: Update phone number properties
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePhoneNumberInput'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhoneNumber'
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    UpdatePhoneNumberInput:
      type: object
      properties:
        agentId:
          type: string
          nullable: false
          description: >-
            The ID of the agent to link this phone number to. Set to the empty
            string to unlink an agent.
    PhoneNumber:
      type: object
      properties:
        id:
          type: string
        number:
          type: string
          example: '+18001234567'
          description: >-
            The number in e.164 format, or the SIP username, if the type is
            SIP_USERNAME.
        type:
          $ref: '#/components/schemas/PhoneNumberType'
        agentId:
          type: string
          nullable: true
          description: The ID of the linked agent, if the phone number is linked to one.
      required:
        - id
        - number
        - agentId
        - type
    PhoneNumberType:
      type: string
      enum:
        - PSTN
        - SIP_USERNAME
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````